package client;

import java.awt.Graphics;
import javax.swing.JFrame;
import client.controller.ClientController;
import client.model.ClientModel;
import client.view.ClientGUI;

public class Client extends JFrame{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private static ClientModel clientModel;
	private static ClientGUI clientGUI;
	private static ClientController clientController;

	public static void main(String[] args) {
		//Initializing model
		clientModel = new ClientModel();
		
		//Initializing view
		clientGUI = new ClientGUI(clientModel);
		
		//Initializing controller
		clientController = new ClientController();
		clientController.addListeners(clientGUI, clientModel);
		
		//Do application stuff...		
		JFrame frame = new JFrame("Remote Inspection Control");
		frame.add(clientGUI);
		frame.setSize(650, 600);
		frame.setDefaultCloseOperation(EXIT_ON_CLOSE);
		frame.setVisible(true);
	}
	
	public void paint(Graphics g){
		clientGUI.paint(g);
	}


}
