package client;

import client.controller.CamController;
import client.controller.ClientController;
import client.controller.VehicleController;

public class ClientControllerRegistry {
	//Initializing private instances of the controllers
	private static ClientController clientController;
	private static CamController camController;
	private static VehicleController vehicleController;	

	
	//Public Getters, only one instance should exist
	
	public static ClientController getClientController(){
		if(clientController == null) clientController = new ClientController();
		return clientController;
	}
	
	public static CamController getCamController(){
			if(camController == null) camController = new CamController();
			return camController;
	}
	
	public static VehicleController getVehicleController(){
		if(vehicleController == null) vehicleController = new VehicleController();
		return vehicleController;
	}
}
