package client.drivers.IPCamera;

import java.awt.Image;
import java.util.EventObject;

/**
 * Event triggered when a JPEG have been decoded successfully. Contains the decoded JPEG image.
 */
public class JPEGDecodedEvent extends EventObject{
	private static final long serialVersionUID = 1L;
	private Image decodedImage;
	
	/**
	 * Constructor for creating an event.
	 * @param source the object that triggered the event.
	 * @param image the decoded image.
	 */
	public JPEGDecodedEvent(Object source, Image image) {
		super(source);
		decodedImage=image;
	}

	/**
	 * Returns the JPEG image generated with the event.
	 * @return decoded JPEG.
	 */
	public Image getImage(){
		return decodedImage;
	}
}
