package client.drivers;

import client.ClientConstants;

public class VehicleDriver {
	
	private final NetworkClientDriver netClient;
	
	public VehicleDriver(){
		netClient = new NetworkClientDriver(ClientConstants.VEHICLE_ADDRESS, ClientConstants.VEHICLE_PORT);
	}

	public static enum VehicleCommand {FFWD, FWD, STOP, REV, RREV}; 
	
	public void sendVehicleCommand(VehicleCommand command){
		String netCommand = "command:tog1:";
		
		switch(command){
			case FFWD: netCommand += "ffwd:"; break;
			case FWD: netCommand += "fwd:"; break;
			case STOP: netCommand += "stop:"; break;
			case REV: netCommand += "rev:"; break;
			case RREV: netCommand += "rrev:"; break;
		}
		netClient.sendCommand(netCommand);
		System.out.println("Sending command: "+netCommand);
	}
	
	public NetworkClientDriver getNetClient() {
		return netClient;
	}
	
}
