package client.model;

import java.awt.event.MouseListener;

import client.ClientConstants;
import client.drivers.VehicleDriver;

import com.centralnexus.input.*;

public class VehicleModel extends ModelPropertyChange {
	
	//Variables
	private int lastCommand;
	public MouseListener fastFwdMouseListener;
	public MouseListener fwdMouseListener;
	public MouseListener revMouseListener;
	public MouseListener fastRevMouseListener;
	
	public JoystickListener joyListener;
	
	private final VehicleDriver vehicleDriver;
	
	public VehicleModel(){
		super();
		lastCommand = -1;
		
		vehicleDriver = new VehicleDriver();
	}
	
	
	//Getters & Setters
	public void setMovement(int command, boolean enable){
		int oldLastCommand = lastCommand;
		lastCommand = command;
		System.out.println("MOVE: "+command+(enable?"on":"off"));
		//FIRE ON NETWORK
		changeSupport.firePropertyChange(ClientConstants.VEHICLE_CONTROLLER_COMMAND_MODE, oldLastCommand, lastCommand);
	}

	public VehicleDriver getVehicleDriver() {
		return vehicleDriver;
	}

	public MouseListener getFwdMouseListener() {
		return fwdMouseListener;
	}

	public MouseListener getRevMouseListener() {
		return revMouseListener;
	}


	public MouseListener getFastFwdMouseListener() {
		return fastFwdMouseListener;
	}


	public MouseListener getFastRevMouseListener() {
		return fastRevMouseListener;
	}
	
}
