package client.view;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.Graphics;
import java.awt.Label;
import java.awt.Panel;
import client.model.ClientModel;
import client.view.panel.CamControlPanel;
import client.view.panel.CamViewerPanel;
import client.view.panel.VehicleControlPanel;

public class ClientGUI extends Panel{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private final Label header;
	private final Panel controlPanel;
	private final CamControlPanel camControlPanel;
	private final VehicleControlPanel vehicleControlPanel;
	private final CamViewerPanel camViewerPanel;
	
	public ClientGUI(ClientModel clientModel){
		//Creating instances
		header = new Label("Remote Inspection Control");
		controlPanel = new Panel();
		camControlPanel = new CamControlPanel();
		vehicleControlPanel = new VehicleControlPanel();
		camViewerPanel = new CamViewerPanel(clientModel.getCamModel());
		//Setting properties
		setLayout(new BorderLayout());
		
		//Adding instances
		add(header, BorderLayout.NORTH);
		add(controlPanel, BorderLayout.SOUTH);
		add(camViewerPanel, BorderLayout.CENTER);
		
		controlPanel.setLayout(new FlowLayout());
		controlPanel.add(camControlPanel);
		controlPanel.add(vehicleControlPanel);
	}
	
	public void paint(Graphics g){
//		g.drawString("Hello World!", 20, 40);
	}

	public CamControlPanel getCamControlPanel() {
		return camControlPanel;
	}

	public VehicleControlPanel getVehicleControlPanel() {
		return vehicleControlPanel;
	}
	
	
}
