package client.view.panel;

import java.awt.Graphics;
import java.awt.Image;
import javax.swing.JPanel;
import client.drivers.IPCamera.IPCameraInterface;
import client.drivers.IPCamera.JPEGDecodedEvent;
import client.model.CamModel;

public class CamViewerPanel extends JPanel implements IPCameraInterface {
	private static final long serialVersionUID = 1L;
	private Image videoImage;
	
	public CamViewerPanel(CamModel camModel){
		//Adding IPCamera Listeners
		camModel.getCameraDriver().addJPEGDecodedListener(this);
	}
	
	@Override
	public void jpegDecoded(JPEGDecodedEvent evt) {
		//When there is an event, its image is stored and the panel is repainted
		videoImage = evt.getImage();
		repaint();
	}
	
	public void newJPEG(Image jpeg){
		videoImage = jpeg;
		repaint();
	}
	
	public void paintComponent(Graphics g){
		int width;
		int height;
		int xpos;
		int ypos;
		super.paintComponent(g);
		
		//Calculate size and position of the image inside the panel
		if(((double)this.getWidth()/(double)this.getHeight()) > 1.3333333){
			height=this.getHeight();
			width=(int)(height*1.3333333);
			ypos=0;
			xpos=(this.getWidth()-width)/2;
		}else{
			width=this.getWidth();
			height=(int)(width/1.3333333);
			xpos=0;
			ypos=(this.getHeight()-height)/2;
		}
		
		//Display image if it is defined
		if(videoImage != null) g.drawImage(videoImage, xpos, ypos, width, height, null);
	}

}
